> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Describe Customizer

> Conversational endpoint for building a custom processor description.
Accepts the chat history, returns the next assistant message.
When the system has enough context, includes a proposed_description.



## OpenAPI

````yaml https://www.datalab.to/openapi.json post /api/v1/custom_pipelines/describe
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/custom_pipelines/describe:
    post:
      tags:
        - Custom Pipelines (Deprecated)
      summary: Describe Customizer
      description: |-
        Conversational endpoint for building a custom processor description.
        Accepts the chat history, returns the next assistant message.
        When the system has enough context, includes a proposed_description.
      operationId: describe_customizer_api_v1_custom_pipelines_describe_post
      parameters:
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomizerDescribeRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomizerDescribeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CustomizerDescribeRequest:
      properties:
        messages:
          items:
            $ref: '#/components/schemas/ChatMessage'
          type: array
          maxItems: 10
          title: Messages
      type: object
      required:
        - messages
      title: CustomizerDescribeRequest
      description: Request for the customizer description chat endpoint.
    CustomizerDescribeResponse:
      properties:
        message:
          type: string
          title: Message
          description: Assistant's response text
        proposed_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Proposed Description
          description: >-
            Non-null when the system has enough conviction to propose a
            processor description
      type: object
      required:
        - message
      title: CustomizerDescribeResponse
      description: Response from the customizer description chat endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ChatMessage:
      properties:
        role:
          type: string
          enum:
            - user
            - assistant
          title: Role
        content:
          type: string
          maxLength: 5000
          title: Content
      type: object
      required:
        - role
        - content
      title: ChatMessage
      description: A single message in the customizer description chat.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````